IXP_PU8(3)

NAME

ixp_pu8, ixp_pu16, ixp_pu32, ixp_pu64

SYNOPSIS
  #include <ixp.h>

  void ixp_pu8(IxpMsg *msg, uchar *val);

  void ixp_pu16(IxpMsg *msg, uint16_t *val);

  void ixp_pu32(IxpMsg *msg, uint32_t *val);

  void ixp_pu64(IxpMsg *msg, uint64_t *val);

DESCRIPTION

These functions pack or unpack an unsigned integer of the specified size.

If ImsgR->mode is MsgPack, the value pointed to by IvalR is packed into the buffer at ImsgR->pos. If ImsgR->mode is MsgUnpack, the packed value at ImsgR->pos is loaded into the location pointed to by IvalR. In both cases, ImsgR->pos is advanced by the number of bytes read or written. If the call would advance ImsgR->pos beyond ImsgR->end, ImsgR->pos is advanced, but nothing is modified.

SEE ALSO

IxpMsg(3)